Preparing a development environment

To develop and deploy Cloudflow applications, you will need a Java SDK (JDK), Docker, a Kubernetes cluster, the sbt build tool, and the Cloudflow CLI, which is an extension for kubectl.

Prerequisites

First, make sure that you have the following installed:

  • Java(JDK) >= 8

  • sbt, version 1.2.8 or higher

  • Docker, version 18.09 or higher

  • Helm, version 3 or higher. We recommend version 3 to avoid dealing with tiller.

  • kubectl

The default build tool for Cloudflow applications is sbt but there is support for using Maven to build as well.

Download and install the Cloudflow CLI

Install the Cloudflow CLI using the official installer:

curl -sL http://cloudflow.io/docs/get.sh | bash

You can pass options to the installer script with -s -- e.g.:

curl -sL http://cloudflow.io/docs/get.sh | bash -s -- --prefix=$HOME --version=2.0.22 --verbose
curl -sL http://cloudflow.io/docs/get.sh | bash -s -- -P $HOME -v 2.0.22 -V

If the installer script fails, please, report the failure and download the binaries at the specific version at the url:

where you have to substitute:

  • <version> with the specific version (e.g. 2.0.23)

  • <platform> with one of darwin, linux, windows depending on the target OS

What’s next